bugGNU Octave - Bugs: bug #56549, Java compilation fails with Java 12

 
 

bug #56549: Java compilation fails with Java 12

Submitted by:  Gene Harvey <gharveymn>
Submitted on:  Tue 25 Jun 2019 10:08:24 PM UTC  
 
Category:  Configuration and Build System Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Build Failure
Status:  Duplicate Assigned to:  None
Originator Name:  Open/Closed:  Closed
Release:  dev Operating System:  Any

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Tue 25 Jun 2019 10:13:35 PM UTC, comment #1: 

Thank you for the bug report. This is already being worked on in patch #9806, so I'm closing this as a duplicate.

That patch is currently waiting on the author to submit an update, but it will be fixed on Octave's development branch before the next major release.

Mike Miller <mtmiller>
Project Administrator
Tue 25 Jun 2019 10:08:24 PM UTC, original submission:  

This is because Java dropped support for 1.6. Compilation proceeds without issue by using 1.7 (edit scripts/java/module.mk:50), but we could autoconf it instead.

Gene Harvey <gharveymn>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Digest:
   patch dependencies.

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by gharveymn (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only project members can vote.

     

     

     

    Follow 3 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2019-06-25 mtmiller StatusNone => Duplicate
        Open/ClosedOpen => Closed
        Dependencies- => Depends on patch #9806

    Back to the top


    Powered by Savane 3.5